multiply< T2DImage< T > > Struct Template Reference
Template metaprogramming classes

`#include <mia/2d/sparse_image_solver.hh>`

Inheritance diagram for multiply< T2DImage< T > >:
[legend]
Collaboration diagram for multiply< T2DImage< T > >:
[legend]

## Static Public Member Functions

static void | apply (T2DImage< T > &result, const typename TSparseSolver< T2DImage< T > >::A_mult_x &A, const T2DImage< T > &x)

## Detailed Description

template<typename T>
struct multiply< T2DImage< T > >

Specialize the implementation of multiplying a Matrix with an Image,

Parameters

  A | the matrix
  x | the input image

Returns
  A * x, (works like a matrix filter)

Remarks
  maybethis should go into the filter section

Definition at line 63 of file sparse_image_solver.hh.

## Member Function Documentation

## apply()

template<typename T>

void multiply< T2DImage< T > >::apply | ( | T2DImage< T > & | result,
|  | const typename TSparseSolver< T2DImage< T > >::A_mult_x & | A,
|  | const T2DImage< T > & | x )

static

The function to apply the multiplication

Parameters

  [out] | result | location to store the result, ususally it should be allocated and of the same size like x
  [in] | A | sparse Matrix
  [in] | x | the filed to multiply with the matrix

Definition at line 74 of file sparse_image_solver.hh.

References apply(), T2DImage< T >::begin(), T2DImage< T >::end(), C2DImage::get_size(), T2DVector< T >::x, and T2DVector< T >::y.

Referenced by apply().

The documentation for this struct was generated from the following file:

- sparse_image_solver.hh